Creating cylinder with BRepOffsetAPI_Sewing

Hello,
I have 4 contiguous arcs on each end of a cylinder, and I have 4 longitudinal lines connecting the arc endpoints of the cylinder's first end to the arc endpoints of the second end. In effect, these arcs and lines divide the cylinder into 4 quadrants.

Using BRepOffsetAPI_MakeFilling, I made 6 faces from these arcs and lines (4 quadrants and 2 ends of the cylinder), then I used BRepOffsetAPI_Sewing to sew the faces. I hoped to get a TopoDS_Shell, so I can make a TopoDS_Solid. Instead, the sewed shape is a TopoDS_Compound.

Can someone please explain why the sewed shape would be a TopoDS_Compound instead of TopoDS_Shell?

Thank you,
Mike

Peter's picture

Hello Mike,
I have problem that is close to yours, have you found the solution?

Cinzia3's picture

Hello,
I have the same problem...Did you find a solution?

Thank you

Cinzia